// Copyright 2018-present Network Optix, Inc. Licensed under MPL 2.0: www.mozilla.org/MPL/2.0/

#pragma once

static const int DEFAULT_AXIS_API_PORT = 80;
static const int DEFAULT_SOCKET_READ_WRITE_TIMEOUT_MS = 5000;
static const char* const AXIS_DEFAULT_LOGIN = "root";
static const char* const AXIS_DEFAULT_PASSWORD = "root";

struct MaxFPS
{
    const char* modelName;
    float fps;
};

static const MaxFPS cameraFpsLimitArray[] = {
    {"AXISQ7406Rack0Blade1Channel1", 30},
    {"AXISM7001Channel1", 30},
    {"AXISQ7401Channel1", 30},
    {"AXISM7014", 30},
    {"AXISP1354", 30},
    {"AXISP7214", 30},
    {"AXISP7224Channel1", 30},
    {"AXISQ7404Channel1", 30},
    {"AXISQ7414Channel1", 30},
    {"AXISQ7424RChannel1", 30},
    {"AXISP7210Group1", 30},
    {"AXISQ7406Channel1", 30},
    {"AXISM7010Group1", 15},
    {"AXISP1346", 20},
    {"AXIS209MFD", 12},
    {"AXIS211FD", 30},
    {"AXIS211", 30},
    {"AXIS211A", 30},
    {"AXIS211W", 30},
    {"AXIS211M", 8},
    {"AXIS221", 45},
    {"AXISM1011", 30},
    {"AXISM1011W", 30},
    {"AXISM1031W", 30},
    {"AXISM1043W", 30},
    {"AXISM1054", 30},
    {"AXISM1103", 30},
    {"AXISM1104", 30},
    {"AXISM1113", 30},
    {"AXISM1113E", 30},
    {"AXISM1114", 30},
    {"AXISM1114E", 30},
    {"AXISP1343", 30},
    {"AXISP1343E", 30},
    {"AXISP1344", 30},
    {"AXISP1344E", 30},
    {"AXISP1346", 20},
    {"AXISP1346E", 20},
    {"AXISP1347", 12},
    {"AXISP1347E", 12},
    {"AXISQ1602", 30},
    {"AXISQ1602E", 30},
    {"AXISQ1604", 30},
    {"AXISQ1604E", 30},
    {"AXISQ1755", 30},
    {"AXISQ1755E", 30},
    {"AXISP8513", 30},
    {"AXISP8514", 30},
    {"AXISM3113R", 30},
    {"AXISM3114R", 30},
    {"AXISM3113VE", 30},
    {"AXISM3114VE", 30},
    {"AXISM3011", 30},
    {"AXISM3014", 30},
    {"AXISM3203", 30},
    {"AXISM3203V", 30},
    {"AXISM3204", 30},
    {"AXISM3204V", 30},
    {"AXISP3301", 30},
    {"AXISP3301V", 30},
    {"AXISP3304", 30},
    {"AXISP3304V", 30},
    {"AXISP3343", 30},
    {"AXISP3343V", 30},
    {"AXISP3343VE", 30},
    {"AXISP3344", 30},
    {"AXISP3344V", 30},
    {"AXISP3344VE", 30},
    {"AXISP3346", 20},
    {"AXISP3346V", 20},
    {"AXISP3346VE", 20},
    {"AXISP3363", 30},
    {"AXISP3363V", 30},
    {"AXISP3363VE", 30},
    {"AXISP3364", 30},
    {"AXISP3364V", 30},
    {"AXISP3364VE", 30},
    {"AXISP3367", 12},
    {"AXISP3367V", 12},
    {"AXISP3367VE", 12},
    {"AXIS212PTZ", 30},
    {"AXIS212PTZV", 30},
    {"AXIS214PTZ", 30},
    {"AXIS214", 30},
    {"AXIS241Q", 30},
    {"AXIS215PTZ", 30},
    {"AXIS233D", 30},
    {"AXISM5013", 30},
    {"AXISM5014", 30},
    {"AXISP5512", 30},
    {"AXISP5512E", 30},
    {"AXISP5522", 30},
    {"AXISP5522E", 30},
    {"AXISP5532", 30},
    {"AXISP5532E", 30},
    {"AXISP5534", 30},
    {"AXISP5534E", 30},
    {"AXISQ6032", 30},
    {"AXISQ6032E", 30},
    {"AXISQ6034", 30},
    {"AXISQ6034E", 30},
    {"AXISQ6035", 30},
    {"AXISQ6035-E", 30},
    {"AXISQ1910", 8},
    {"AXISQ1910E", 8},
    {"AXISQ1921", 8},
    {"AXISQ1921E", 8}
};
